Open cash register
curl --request GET \
--url https://api.filexpress.app/api/external/v1/cash-registers/current \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.filexpress.app/api/external/v1/cash-registers/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/v1/cash-registers/current"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/v1/cash-registers/current",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"branch_id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"point_of_sale": {
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"code": "P001",
"name": "Caja principal"
},
"opened_by_user": {
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"name": "Ana Martínez"
},
"closed_by_user": null,
"status": "open",
"cashier": {
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"name": "Ana Martínez"
},
"opening_date": "2026-10-06T08:00:00-06:00",
"closing_date": null,
"opening_amount": 100,
"declared_amount": null,
"difference_amount": null,
"total_sales": null,
"total_cash_sales": null,
"total_card_sales": null,
"total_other_sales": null,
"total_expenses": null,
"total_other_incomes": null,
"notes": null,
"opened_by": "API: Mi POS",
"closed_by": null,
"summary": {
"total_sales": 410,
"total_cash": 215,
"total_card": 180,
"total_other": 15,
"total_expenses": 20,
"more_income": 0,
"sales_count": 37,
"cash_movements": 1,
"expected_cash": 295
}
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Branch not found"
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Open cash register
Open cash register of the branch (or of the indicated point of sale) with its live summary. If no cash register is open, data is null.
Required permission: cash_register
GET
/
cash-registers
/
current
Open cash register
curl --request GET \
--url https://api.filexpress.app/api/external/v1/cash-registers/current \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.filexpress.app/api/external/v1/cash-registers/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/v1/cash-registers/current"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/v1/cash-registers/current",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"branch_id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"point_of_sale": {
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"code": "P001",
"name": "Caja principal"
},
"opened_by_user": {
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"name": "Ana Martínez"
},
"closed_by_user": null,
"status": "open",
"cashier": {
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"name": "Ana Martínez"
},
"opening_date": "2026-10-06T08:00:00-06:00",
"closing_date": null,
"opening_amount": 100,
"declared_amount": null,
"difference_amount": null,
"total_sales": null,
"total_cash_sales": null,
"total_card_sales": null,
"total_other_sales": null,
"total_expenses": null,
"total_other_incomes": null,
"notes": null,
"opened_by": "API: Mi POS",
"closed_by": null,
"summary": {
"total_sales": 410,
"total_cash": 215,
"total_card": 180,
"total_other": 15,
"total_expenses": 20,
"more_income": 0,
"sales_count": 37,
"cash_movements": 1,
"expected_cash": 295
}
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Branch not found"
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Authorizations
Integration API Key (Integrations → New Integration).
Query Parameters
Branch (GET /branches). From another business → 404.
Point of sale. If omitted, the branch's most recent open shift.